# Uses of Class
net.shibboleth.idp.saml.attribute.resolver.impl.SAML1NameIdentifierAttributeDefinition

Packages that use SAML1NameIdentifierAttributeDefinition
Package
Description
net.shibboleth.idp.attribute.resolver.spring.ad.impl
Implementation of the Attribute Definition parsers.

## Uses of SAML1NameIdentifierAttributeDefinition in net.shibboleth.idp.attribute.resolver.spring.ad.impl

Methods in net.shibboleth.idp.attribute.resolver.spring.ad.impl that return types with arguments of type SAML1NameIdentifierAttributeDefinition
Modifier and Type
Method
Description
`protected Class<SAML1NameIdentifierAttributeDefinition>`
SAML1NameIdentifierAttributeDefinitionParser.`getBeanClass(Element element)`